LibreOffice: XTopWindow3 Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference |

Loading...
Searching...
No Matches
Public Attributes | List of all members
XTopWindow3 Interface Reference

extends XTopWindow with additional functionality More...

`import "XTopWindow3.idl";`

Inheritance diagram for XTopWindow3:

## Public Attributes
boolean | FullScreen
| controls whether the window is currently shown full screen
Public Attributes inherited from XTopWindow2
boolean | IsMaximized
| controls whether the window is currently maximized
boolean | IsMinimized
| controls whether the window is currently minimized
long | Display
| controls on which display the window is shown.

## Additional Inherited Members
Public Member Functions inherited from XTopWindow
void | addTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| adds the specified top window listener to receive window events from this window.
void | removeTopWindowListener ([in] com::sun::star::awt::XTopWindowListener xListener)
| removes the specified top window listener so that it no longer receives window events from this window.
void | toFront ()
| places this window at the top of the stacking order and shows it in front of any other windows.
void | toBack ()
| places this window at the bottom of the stacking order and makes the corresponding adjustment to other visible windows.
void | setMenuBar ([in] com::sun::star::awt::XMenuBar xMenu)
| sets a menu bar.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

extends XTopWindow with additional functionality

Since
  LibreOffice 25.2

## Member Data Documentation

## ◆ FullScreen

boolean FullScreen
| attribute

controls whether the window is currently shown full screen

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTopWindow3.idl